Bug 444025

Summary: F-9 pv_ops xen: x86_64 oops on reboot
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: kernel-xenAssignee: Eduardo Habkost <ehabkost>
Status: CLOSED RAWHIDE QA Contact: Virtualization Bugs <virt-bugs>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-xen-2.6-2.6.25-2.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-25 12:57:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 434756    
Attachments:
Description Flags
Set machine_ops on xen x86_64, making reboot and shutdown work properly none

Description Orion Poplawski 2008-04-24 12:41:58 EDT
Description of problem:

F9 x86_64 guest on F8 x86_64 host.  Kernel panics when I try to reboot:

Turning off swap:
Turning off quotas:
Unmounting pipe file systems:
Please stand by while rebooting the system...
Restarting system.
BUG: unable to handle kernel paging request at 000000001896b541
IP: [<ffffffff80466f76>] kprobe_exceptions_notify+0x48/0x54f
PGD 10422067 PUD 10529067 PMD 0
Oops: 0000 [1]
CPU 0
Modules linked in: bridge bnep rfcomm l2cap bluetooth autofs4 sunrpc ipv6 loop
dm_mirror dm_multipath dm_mod xen_netfront pcspkr xen_blkfront ext3 jbd mbcache
uhci_hcd ohci_hcd ehci_hcd
Pid: 2773, comm: reboot Not tainted 2.6.25-1.fc9.x86_64.xen #1
RIP: e030:[<ffffffff80466f76>]  [<ffffffff80466f76>]
kprobe_exceptions_notify+0x48/0x54f
RSP: e02b:ffff880010ca5c58  EFLAGS: 00010046
RAX: 000000001896b542 RBX: 0000000000000000 RCX: ffffffff80592f80
RDX: ffff880010ca5cd8 RSI: 0000000000000002 RDI: ffffffff80592f80
RBP: ffff880010ca5c78 R08: 0000000000000000 R09: 0000000000000005
R10: 0000000000000000 R11: 0000000000000246 R12: 00000000ffffffff
R13: ffff880010ca5d28 R14: ffff880010ca5cd8 R15: 0000000000000002
FS:  00007f5fc7de16f0(0000) GS:ffffffff805bf000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000000001896b541 CR3: 000000001f064000 CR4: 0000000000000660
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000
Process reboot (pid: 2773, threadinfo ffff880010ca4000, task ffff880010802000)
Stack:  373178302f353178 0000000000000000 00000000ffffffff 0000000000000000
 ffff880010ca5cb8 ffffffff8046822d 0000000000000013 ffff880010ca5d28
 0000000000000000 00000000fee1defe ffffffff806304d0 0000000000000000
Call Trace:
 [<ffffffff8046822d>] notifier_call_chain+0x33/0x5b
 [<ffffffff8046826f>] atomic_notifier_call_chain+0xf/0x11
 [<ffffffff80242e51>] notify_die+0x2e/0x30
 [<ffffffff8046677a>] do_int3+0x38/0xa3
 [<ffffffff80465f4f>] int3+0x9f/0xc0
 [<ffffffff80465eb0>] int3+0x0/0xc0
 [<ffffffff8021c685>] native_machine_emergency_restart+0x9c/0xcf
 [<ffffffff8021c683>] native_machine_emergency_restart+0x9a/0xcf
 [<ffffffff8021c6f9>] native_machine_restart+0x27/0x2a
 [<ffffffff8021c5db>] machine_restart+0xa/0xc
 [<ffffffff8023bc2f>] kernel_restart+0x3f/0x43
 [<ffffffff8023bd72>] sys_reboot+0x132/0x18a
 [<ffffffff80241cd0>] hrtimer_cancel+0x14/0x21
 [<ffffffff80464b39>] do_nanosleep+0x69/0xa3
 [<ffffffff802424f1>] hrtimer_nanosleep+0x6b/0xf5
 [<ffffffff80242036>] hrtimer_wakeup+0x0/0x21
 [<ffffffff80464b16>] do_nanosleep+0x46/0xa3
 [<ffffffff802425cf>] sys_nanosleep+0x54/0x6a
 [<ffffffff80210e2a>] system_call_after_saveargs+0x38/0x3d
 [<ffffffff80466020>] xen_system_call_entry+0x0/0x35


Code: 0f 85 1a 05 00 00 48 83 fe 03 0f 84 2c 03 00 00 48 83 fe 0a 0f 84 ed 04 00
00 48 83 fe 02 0f 85 fc 04 00 00 49 8b 85 80 00 00 00 <80> 78 ff cc 48 8d 78 ff
74 0c 49 89 bd 80 00 00 00 e9 e3 04 00
RIP  [<ffffffff80466f76>] kprobe_exceptions_notify+0x48/0x54f
 RSP <ffff880010ca5c58>
CR2: 000000001896b541
---[ end trace eff4a671efd4513f ]---
init: rc6 main process (2773) killed by KILL signal

Version-Release number of selected component (if applicable):
2.6.25-1.fc9.x86_64.xen

How reproducible:
2 for 2 now.
Comment 1 Eduardo Habkost 2008-04-25 11:26:37 EDT
Created attachment 303794 [details]
Set machine_ops on xen x86_64, making reboot and shutdown work properly

This patch should fix the problem. The machine_ops setting was commented out
for x86_64, probably because it was not supported on x86_64 yet at the time the
x86_64 work was started.
Comment 2 Mark McLoughlin 2008-04-25 12:57:33 EDT
Okay, kernel-xen-2.6-2.6.25-2.fc{9,10} is building with the fix

* Fri Apr 25 2008 Mark McLoughlin <markmc@redhat.com>
- Fix x86_64 oops on reboot (ehabkost, #444025)
Comment 3 Orion Poplawski 2008-04-28 12:22:17 EDT
Confirmed fixed for me as well.  Be sure to get this tagged for F9, I don't see
it there yet.
Comment 4 Mark McLoughlin 2008-04-28 12:29:53 EDT
thanks for testing, will request it to be tagged now